window.Gleam.initSearch([{"doc":"gleative","title":"gleative","content":"# gleative\n\n[![Package Version](https://img.shields.io/hexpm/v/gleative)](https://hex.pm/packages/gleative)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gleative/)\n\nEasily compile your gleam projects to native executables using [deno](https://deno.com/).\n\n## Installation and usage\n\nFirst of all, install [deno](https://docs.deno.com/runtime/manual/#install-deno).\n\nAfterwards add `gleative` to your gleam project by running\n\n```sh\ngleam add gleative\n```\n\nNow you have to create a file called `gleative.toml` in your projects root directory.\nCurrently, this file is only used to define your compilation targets. Add the following to your\n`gleative.toml`.\n\n```toml\ntargets = [\n  &quot;x86_64-unknown-linux-gnu&quot;\n]\n```\n\nThis adds linux to your compilation targets. `gleative` should support all targets\n[deno supports](https://docs.deno.com/runtime/manual/tools/compiler#cross-compilation).\n\nNow, you can simply run:\n\n```sh\ngleam run -m gleative\n```\n\nThis should be executed in your projects root directory. All compiled targets can be found in\n`./build/gleative_out`.\n\n### Using nix\n\nIf you want to make your builds more reproducible, `gleative` provides a flake template for\n[nix](https://nixos.org/). To initialize it, simply run\n\n```sh\nnix flake init -t github:miampf/gleative\n```\n\nThis will create a new `flake.nix` as well as a `gleative.toml` file. Now, you can run\n\n```sh\nnix run &quot;.#build&quot;\n```\n\nto build your project.\n\n## How it works\n\n`gleative` works relatively simple. First, it builds your gleam project for javascript and generates\nsome light glue code. After that, it compiles the generated javascript code using \n[deno as a compiler](https://docs.deno.com/runtime/manual/tools/compiler).\n","url":"index.html"},{"doc":"gleative","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\ngleative.main\ngleative main","url":"gleative.html#main"},{"doc":"gleative","title":"gleative","content":"","url":"gleative.html"}]);